Subject: Re: [Bitcoin-development] Concerns Regarding Threats by a Developer to Remove Commit Access from Other Developers

From: "Wladimir J. van der Laan" <[email-masked]>
Date: Thu, 18 Jun 2015 14:50:17 +0200

On Thu, Jun 18, 2015 at 02:29:42PM +0200, Pieter Wuille wrote:
> On Thu, Jun 18, 2015 at 1:14 PM, Wladimir J. van der Laan <[email-masked]>
> wrote:
> 
> > Like in any open source project there is lots of decision making ability
> > for code changes. I'd say look at the changelog for e.g. 0.11
> > https://github.com/bitcoin/bitcoin/blob/0.11/doc/release-notes.md#0110-change-log,
> > or follow pull requests for a while, to see how many decisions about
> > changes are made from day to day. No, I'm not sitting on my hands, and so
> > is none of the other contributors that you'd like to get rid of.
> >
> 
> The analogy goes further even. Even though I disagree with some of the
> changes you're making, I respect Mike's (and anyone's) right to make a fork
> of Bitcoin Core. That's how open source works: if people disagree with
> changes made or not made, they can maintain their own version. However:

Sure. According to github, there exist 4890 forks of the bitcoin/bitcoin repository.

Forking the code is perfectly fine in itself, that doesn't even need to be said, it's how open source works. Make your changes, run your own version, contribute back the changes (or not).

And I never had a problem with Bitcoin-XT while it was just a patch-set with no consensus changes. But a controversial hard fork of the chain is something else completely.

Wladimir